
public class Class71 {

   static final boolean method1486(int var0, int var1) {
      return (var0 & 34) != 0;
   }

   static final boolean method1487(int var0, int var1) {
      return (var0 & 33) != 0;
   }

   static final boolean method1488(int var0, int var1) {
      return (var0 & 34) != 0;
   }

   static final boolean method1489(int var0, int var1) {
      return (var0 & 52) != 0;
   }

   static final boolean method1490(int var0, int var1) {
      return (var0 & 55) != 0;
   }

   static final boolean method1491(int var0, int var1) {
      return (var0 & 544) == 544 | (var0 & 24) != 0;
   }

   static final boolean method1492(int var0, int var1) {
      return (var0 & 540800) != 0;
   }

   static final boolean method1493(int var0, int var1) {
      return (var0 & 262144) != 0 | method1537(var0, var1) || method1506(var0, var1);
   }

   static final boolean method1494(int var0, int var1) {
      return (var0 & 34) != 0;
   }

   static final boolean method1495(int var0, int var1) {
      return (var0 & 16) != 0;
   }

   static final boolean method1496(int var0, int var1) {
      return (var0 & '\u8000') != 0;
   }

   static final boolean method1497(int var0, int var1) {
      return (var0 & 52) != 0;
   }

   static final boolean method1498(int var0, int var1) {
      return method1500(var0, var1) & ((var0 & 8192) != 0 | method1491(var0, var1) | method1579(var0, var1));
   }

   static final boolean method1499(int var0, int var1) {
      return (var0 & 2048) != 0;
   }

   static final boolean method1500(int var0, int var1) {
      return (var0 & 2048) != 0 && (var1 & 55) != 0;
   }

   static final boolean method1501(int var0, int var1) {
      return (var0 & 2048) != 0;
   }

   static final boolean method1502(int var0, int var1) {
      return (var0 & 2048) != 0;
   }

   static final boolean method1503(int var0, int var1) {
      return (var0 & 2048) != 0;
   }

   static final boolean method1504(int var0, int var1) {
      return method1492(var0, var1) || method1506(var0, var1);
   }

   static final boolean method1505(int var0, int var1) {
      boolean var2 = (var1 & 55) != 0?method1498(var0, var1):method1506(var0, var1);
      return (var0 & 65536) != 0 | method1491(var0, var1) | var2;
   }

   static final boolean method1506(int var0, int var1) {
      return !method1501(var0, var1)?false:((var0 & '\u9000') != 0 | method1492(var0, var1) | method1537(var0, var1)?true:(var1 & 55) == 0 & ((var0 & 8192) != 0 | method1491(var0, var1) | method1579(var0, var1)));
   }

   static final boolean method1507(int var0, int var1) {
      return method1516(var0, var1) & method1502(var0, var1);
   }

   static final boolean method1508(int var0, int var1) {
      return method1495(var0, var1) & method1503(var0, var1);
   }

   static final boolean method1509(int var0, int var1) {
      return (var0 & 256) != 0;
   }

   static final boolean method1510(int var0, int var1) {
      return (var0 & 458752) != 0 || method1488(var0, var1) || method1584(var0, var1);
   }

   static final boolean method1511(int var0, int var1) {
      return (var0 & 458752) != 0 || method1489(var0, var1) || method1584(var0, var1);
   }

   static final boolean method1512(int var0, int var1) {
      return (var0 & 458752) != 0 || method1488(var0, var1) || method1584(var0, var1);
   }

   static final boolean method1513(int var0, int var1) {
      return (var0 & 65536) != 0;
   }

   static final boolean method1514(int var0, int var1) {
      return (var0 & 262144) != 0 | method1537(var0, var1) || method1506(var0, var1);
   }

   static final boolean method1515(int var0, int var1) {
      return (var0 & 65536) != 0;
   }

   static final boolean method1516(int var0, int var1) {
      return false;
   }

   static final boolean method1517(int var0, int var1) {
      return (var0 & 32) != 0;
   }

   static final boolean method1518(int var0, int var1) {
      return (var0 & 1024) != 0;
   }

   static final boolean method1519(int var0, int var1) {
      return (var0 & 393216) != 0 | method1495(var0, var1) || method1508(var0, var1);
   }

   static final boolean method1520(int var0, int var1) {
      return (var0 & 2048) != 0 | method1496(var0, var1) || method1506(var0, var1);
   }

   static final boolean method1521(int var0, int var1) {
      return (var0 & 384) != 0;
   }

   static final boolean method1522(int var0, int var1) {
      return !method1501(var0, var1)?false:((var0 & '\u9000') != 0 | method1492(var0, var1) | method1537(var0, var1)?true:(var1 & 55) == 0 & ((var0 & 8192) != 0 | method1491(var0, var1) | method1579(var0, var1)));
   }

   static final boolean method1523(int var0, int var1) {
      return method1492(var0, var1) || method1506(var0, var1);
   }

   static final boolean method1524(int var0, int var1) {
      return (var0 & 32) != 0;
   }

   static final boolean method1525(int var0, int var1) {
      return (var0 & 52) != 0;
   }

   static final boolean method1526(int var0, int var1) {
      return (var0 & 1024) != 0;
   }

   static final boolean method1527(int var0, int var1) {
      return (var0 & 55) != 0;
   }

   static final boolean method1528(int var0, int var1) {
      return method1516(var0, var1) & method1502(var0, var1);
   }

   static final boolean method1529(int var0, int var1) {
      return !method1501(var0, var1)?false:((var0 & '\u9000') != 0 | method1492(var0, var1) | method1537(var0, var1)?true:(var1 & 55) == 0 & ((var0 & 8192) != 0 | method1491(var0, var1) | method1579(var0, var1)));
   }

   static final boolean method1530(int var0, int var1) {
      return (var0 & 544) == 544 | (var0 & 24) != 0;
   }

   static final boolean method1531(int var0, int var1) {
      return (var0 & 544) == 544 | (var0 & 24) != 0;
   }

   static final boolean method1532(int var0, int var1) {
      return (var0 & 540800) != 0;
   }

   static final boolean method1533(int var0, int var1) {
      return (var0 & 540800) != 0;
   }

   static final boolean method1534(int var0, int var1) {
      return (var0 & 540800) != 0;
   }

   static final boolean method1535(int var0, int var1) {
      return (var0 & 55) != 0;
   }

   static final boolean method1536(int var0, int var1) {
      return (var0 & 256) != 0;
   }

   static final boolean method1537(int var0, int var1) {
      return (var0 & 256) != 0;
   }

   static final boolean method1538(int var0, int var1) {
      return false;
   }

   static final boolean method1539(int var0, int var1) {
      return false;
   }

   static final boolean method1540(int var0, int var1) {
      return (var0 & 256) != 0;
   }

   static final boolean method1541(int var0, int var1) {
      return (var0 & 16) != 0;
   }

   static final boolean method1542(int var0, int var1) {
      return (var0 & 16) != 0;
   }

   static final boolean method1543(int var0, int var1) {
      return (var0 & '\u8000') != 0;
   }

   static final boolean method1544(int var0, int var1) {
      return method1516(var0, var1) || method1507(var0, var1);
   }

   static final boolean method1545(int var0, int var1) {
      return (var0 & '\u8000') != 0;
   }

   static final boolean method1546(int var0, int var1) {
      return (var0 & 2048) != 0;
   }

   static final boolean method1547(int var0, int var1) {
      return (var0 & 2048) != 0 | method1496(var0, var1) || method1506(var0, var1);
   }

   static final boolean method1548(int var0, int var1) {
      return (var0 & 33) != 0;
   }

   static final boolean method1549(int var0, int var1) {
      return (var0 & 2048) != 0;
   }

   static final boolean method1550(int var0, int var1) {
      return (var0 & 2048) != 0;
   }

   static final boolean method1551(int var0, int var1) {
      return (var0 & '\uc580') != 0;
   }

   static final boolean method1552(int var0, int var1) {
      return method1492(var0, var1) || method1506(var0, var1);
   }

   static final boolean method1553(int var0, int var1) {
      return (method1487(var0, var1) | method1488(var0, var1) | method1489(var0, var1)) & method1499(var0, var1);
   }

   static final boolean method1554(int var0, int var1) {
      return method1500(var0, var1) & ((var0 & 8192) != 0 | method1491(var0, var1) | method1579(var0, var1));
   }

   static final boolean method1555(int var0, int var1) {
      return (var0 & 544) == 544 | (var0 & 24) != 0;
   }

   static final boolean method1556(int var0, int var1) {
      return method1500(var0, var1) & ((var0 & 8192) != 0 | method1491(var0, var1) | method1579(var0, var1));
   }

   static final boolean method1557(int var0, int var1) {
      return method1500(var0, var1) & ((var0 & 8192) != 0 | method1491(var0, var1) | method1579(var0, var1));
   }

   static final boolean method1558(int var0, int var1) {
      return method1500(var0, var1) & ((var0 & 8192) != 0 | method1491(var0, var1) | method1579(var0, var1));
   }

   static final boolean method1559(int var0, int var1) {
      return false;
   }

   static final boolean method1560(int var0, int var1) {
      return !method1501(var0, var1)?false:((var0 & '\u9000') != 0 | method1492(var0, var1) | method1537(var0, var1)?true:(var1 & 55) == 0 & ((var0 & 8192) != 0 | method1491(var0, var1) | method1579(var0, var1)));
   }

   static final boolean method1561(int var0, int var1) {
      return (var0 & 458752) != 0 || method1488(var0, var1) || method1584(var0, var1);
   }

   static final boolean method1562(int var0, int var1) {
      return !method1501(var0, var1)?false:((var0 & '\u9000') != 0 | method1492(var0, var1) | method1537(var0, var1)?true:(var1 & 55) == 0 & ((var0 & 8192) != 0 | method1491(var0, var1) | method1579(var0, var1)));
   }

   static final boolean method1563(int var0, int var1) {
      return (var0 & '\u8000') != 0;
   }

   static final boolean method1564(int var0, int var1) {
      return method1495(var0, var1) & method1503(var0, var1);
   }

   static final boolean method1565(int var0, int var1) {
      return (var0 & 458752) != 0 || method1487(var0, var1) || method1584(var0, var1);
   }

   static final boolean method1566(int var0, int var1) {
      return method1500(var0, var1) & ((var0 & 8192) != 0 | method1491(var0, var1) | method1579(var0, var1));
   }

   Class71() throws Throwable {
      throw new Error();
   }

   static final boolean method1567(int var0, int var1) {
      return (var0 & 458752) != 0 || method1488(var0, var1) || method1584(var0, var1);
   }

   static final boolean method1568(int var0, int var1) {
      return (var0 & '\uc580') != 0;
   }

   static final boolean method1569(int var0, int var1) {
      boolean var2 = (var1 & 55) != 0?method1498(var0, var1):method1506(var0, var1);
      return (var0 & 65536) != 0 | method1491(var0, var1) | var2;
   }

   static final boolean method1570(int var0, int var1) {
      boolean var2 = (var1 & 55) != 0?method1498(var0, var1):method1506(var0, var1);
      return (var0 & 65536) != 0 | method1491(var0, var1) | var2;
   }

   static final boolean method1571(int var0, int var1) {
      return (var0 & 458752) != 0 || method1487(var0, var1) || method1584(var0, var1);
   }

   static final boolean method1572(int var0, int var1) {
      return (var0 & 2048) != 0 && (var1 & 55) != 0;
   }

   static final boolean method1573(int var0, int var1) {
      return (var0 & 262144) != 0 | method1537(var0, var1) || method1506(var0, var1);
   }

   static final boolean method1574(int var0, int var1) {
      return (var0 & 262144) != 0 | method1537(var0, var1) || method1506(var0, var1);
   }

   static final boolean method1575(int var0, int var1) {
      return (var0 & 384) != 0;
   }

   static final boolean method1576(int var0, int var1) {
      return method1516(var0, var1) || method1507(var0, var1);
   }

   static final boolean method1577(int var0, int var1) {
      return (var0 & 458752) != 0 || method1489(var0, var1) || method1584(var0, var1);
   }

   static final boolean method1578(int var0, int var1) {
      return (var0 & 384) != 0;
   }

   static final boolean method1579(int var0, int var1) {
      return (var0 & 65536) != 0;
   }

   static final boolean method1580(int var0, int var1) {
      return (var0 & 32) != 0;
   }

   static final boolean method1581(int var0, int var1) {
      return (var0 & 544) == 544 | (var0 & 24) != 0;
   }

   static final boolean method1582(int var0, int var1) {
      return (var0 & 1024) != 0;
   }

   static final boolean method1583(int var0, int var1) {
      return (var0 & 2048) != 0 | method1496(var0, var1) || method1506(var0, var1);
   }

   static final boolean method1584(int var0, int var1) {
      return (method1487(var0, var1) | method1488(var0, var1) | method1489(var0, var1)) & method1499(var0, var1);
   }

   static final boolean method1585(int var0, int var1) {
      return (var0 & 2048) != 0 | method1496(var0, var1) || method1506(var0, var1);
   }
}
